Subject: Ticket Assigned - Article Feedback - Talabat voucher T&Cs for Centrepoint customers
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 21 Feb 2022 20:09:36 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Article Feedback - Talabat voucher T&Cs for Centrepoint customers Feedback for:  Talabat voucher T&Cs for Centrepoint customers I didn’t get my talabat voucher please send it to my email .  I submitted my order online on 12 FeB . 
Even I couldn’t reach you in your call center number  
This is my contact number  
0552503088 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3929541